Bug 26017 - 'script' failed for rstudio
Summary: 'script' failed for rstudio
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-04 22:23 CET by papoteur
Modified: 2020-01-12 18:08 CET (History)
2 users (show)

See Also:
Source RPM: rstudio-1.2.1335-1
CVE:
Status comment:


Attachments

Description papoteur 2020-01-04 22:23:51 CET
LC_ALL=C urpmi rstudio --replacepkgs


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/release/rstudio-1.2.1335-1.mga7.x86_64.rpm
installing rstudio-1.2.1335-1.mga7.x86_64.rpm from /var/cache/urpmi/rpms                                                   
Preparing...                     #########################################################################################
      1/1: rstudio               #########################################################################################
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
Failed to open '/usr/lib/tmpfiles.d/rstudio-server.conf.conf': No such file or directory
warning: %post(rstudio-1.2.1335-1.mga7.x86_64) scriptlet failed, exit status 1
ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64

Secondly, it seems that the script want to use rstudio-server, but this one is not in Requires.

Third, launching it goes to a core dumped.
rstudio
Failed to create hardware context.
Failed to create hardware context.
Failed to create hardware context.
Failed to create hardware context.
Failed to create OpenGL context for format QSurfaceFormat(version 2.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize 8, samples 0, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile) 
Abandon (core dumped)

Mageia 7, Lxqt with kwin
Graphical card: Intel HD Graphics 620
Comment 1 papoteur 2020-01-04 22:54:31 CET
The third issue is now solved. I restarted with a new kernel.
Comment 2 David Walser 2020-01-05 05:23:11 CET
I believe I see the problem.  Please test rstudio-1.2.1335-1.1.mga7 and assign to QA if it fixes the issue.
Comment 3 papoteur 2020-01-05 08:55:48 CET
Hi David,
Thanks for dealing with this package.
However, this is not better.
1. rstudio-1.2.1335-1.mga7.x86_64 can't be uninstaleld because a script fails:
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
erreur : %preun(rstudio-1.2.1335-1.mga7.x86_64) scriptlet échoué, état de sortie 2
ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64
erreur : rstudio-1.2.1335-1.mga7.x86_64: effacer échoué

2. Installation of new release has the same defaults. rstudio-server is needeed for script, but not instaleld.
urpmi rstudio-1.2.1335-1.1.mga7
Pour satisfaire les dépendances, les paquetages suivants vont être installés :
  Paquetage                      Version      Révision      Arch    
(média « Core Updates Testing »)
  rstudio                        1.2.1335     1.1.mga7      x86_64  
  rstudio-common                 1.2.1335     1.1.mga7      x86_64  
un espace additionnel de 221Ko sera utilisé.
20Mo de paquets seront récupérés.
Procéder à l'installation des 2 paquetages ? (O/n) o


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-common-1.2.1335-1.1.mga7.x86_64.rpm
    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-1.2.1335-1.1.mga7.x86_64.rpm 
installation de rstudio-common-1.2.1335-1.1.mga7.x86_64.rpm rstudio-1.2.1335-1.1.mga7.x86_64.rpm depuis /var/cache/urpmi/rpms
Préparation...                   #########################################################################################
      1/2: rstudio-common        #########################################################################################
      2/2: rstudio               #########################################################################################
/var/tmp/rpm-tmp.seBDb4: ligne 6: rstudio-server : commande introuvable
Failed to open '/usr/lib/tmpfiles.d/rstudio-server.conf': No such file or directory
attention : %post(rstudio-1.2.1335-1.1.mga7.x86_64) scriptlet échoué, état de sortie 1
ERROR: 'script' failed for rstudio-1.2.1335-1.1.mga7.x86_64
/var/tmp/rpm-tmp.Wq44Tz: ligne 6: rstudio-server : commande introuvable
erreur : %preun(rstudio-1.2.1335-1.mga7.x86_64) scriptlet échoué, état de sortie 127
ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64
erreur : rstudio-1.2.1335-1.mga7.x86_64: effacer échoué

2. Installation of rstudio-server gives also an error, group 'studio-server' doesn't exists.
LC_ALL=C urpmi rstudio-server
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing")
  rstudio-common                 1.2.1335     1.1.mga7      x86_64  
  rstudio-server                 1.2.1335     1.1.mga7      x86_64  
204MB of additional disk space will be used.
20MB of packages will be retrieved.
Proceed with the installation of the 2 packages? (Y/n) y


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-server-1.2.1335-1.1.mga7.x86_64.rpm
    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-common-1.2.1335-1.1.mga7.x86_64.rpm
installing rstudio-server-1.2.1335-1.1.mga7.x86_64.rpm rstudio-common-1.2.1335-1.1.mga7.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     #########################################################################################
      1/2: rstudio-common        #########################################################################################
      2/2: rstudio-server        #########################################################################################
[/usr/lib/tmpfiles.d/radicale.conf:1] Line references path below legacy directory /var/run/, updating /var/run/radicale → /run/radicale; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Unknown group 'studio-server'.

3. Even with rstudio-server installed, script failed

[root@YZenbook yves]# LC_ALL=C urpmi rstudio-1.2.1335-1.1.mga7.x86_64 --replacepkgs


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-1.2.1335-1.1.mga7.x86_64.rpm
installing rstudio-1.2.1335-1.1.mga7.x86_64.rpm from /var/cache/urpmi/rpms                                                 
Preparing...                     #########################################################################################
      1/1: rstudio               #########################################################################################
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Unknown group 'studio-server'.
warning: %post(rstudio-1.2.1335-1.1.mga7.x86_64) scriptlet failed, exit status 65
ERROR: 'script' failed for rstudio-1.2.1335-1.1.mga7.x86_64
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
error: %preun(rstudio-1.2.1335-1.mga7.x86_64) scriptlet failed, exit status 2
ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64
error: rstudio-1.2.1335-1.mga7.x86_64: erase failed
Comment 4 David Walser 2020-01-05 19:28:46 CET
LOL, the scriplets are on the wrong package (they're on rstudio and should be on rstudio-server).  OK I fixed that.  Note that an update can't fix the %preun from the previous package, so you'll still see an error on that which you can ignore.

Please test rstudio-1.2.1335-1.2.mga7 and assign to QA if it's good.
Comment 5 Lewis Smith 2020-01-05 20:42:42 CET
Add to thanks to DavidW for jumping on this.

> Please test rstudio-1.2.1335-1.2.mga7 and assign to QA if it's good.
I tried installing this, but could not see it [yet] in *_updates _testing. Nor, in fact, the -1.1 version.

> the scriplets are on the wrong package (they're on rstudio and should be
> on rstudio-server
Accepting that rstudio does not require the server pkg, does rstudio-server have these scripts already; or does it need updating accordingly?

CC: (none) => lewyssmith

Comment 6 David Walser 2020-01-06 04:23:31 CET
I moved the scriplets to the rstudio-server package, which is where they should have been.
Comment 7 papoteur 2020-01-06 10:10:41 CET
Thanks David,
After uninstalling previous rstudio with --noscripts option, and rstudio-server:
urpmi rstudio


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-1.2.1335-1.2.mga7.x86_64.rpm
installation de rstudio-1.2.1335-1.2.mga7.x86_64.rpm depuis /var/cache/urpmi/rpms                                          
Préparation...                   #########################################################################################
      1/1: rstudio               #########################################################################################

It works fine.
papoteur 2020-01-06 10:11:53 CET

Assignee: bugsquad => qa-bugs

Comment 8 papoteur 2020-01-06 17:24:25 CET
There is still a problem:
LC_ALL=C urpme rstudio-server
removing rstudio-server-1.2.1335-1.2.mga7.x86_64
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
error: %preun(rstudio-server-1.2.1335-1.2.mga7.x86_64) scriptlet failed, exit status 2
ERROR: 'script' failed for rstudio-server-1.2.1335-1.2.mga7.x86_64
error: rstudio-server-1.2.1335-1.2.mga7.x86_64: erase failed
Comment 9 papoteur 2020-01-06 17:35:24 CET
And
 urpmi rstudio-server


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/rstudio-server-1.2.1335-1.2.mga7.x86_64.rpm
installation de rstudio-server-1.2.1335-1.2.mga7.x86_64.rpm depuis /var/cache/urpmi/rpms                                   
Préparation...                   #########################################################################################
      1/1: rstudio-server        #########################################################################################
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Unknown group 'studio-server'.
attention : %post(rstudio-server-1.2.1335-1.2.mga7.x86_64) scriptlet échoué, état de sortie 65
ERROR: 'script' failed for rstudio-server-1.2.1335-1.2.mga7.x86_64
[/usr/lib/tmpfiles.d/radicale.conf:1] Line references path below legacy directory /var/run/, updating /var/run/radicale → /run/radicale; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Unknown group 'studio-server'.

I don't know why radicale, which I have running, is referenced here.
Comment 10 David Walser 2020-01-06 20:09:09 CET
This package is quite a mess.  David Geiger is working on it now.

CC: (none) => geiger.david68210

Comment 11 David GEIGER 2020-01-07 06:57:45 CET
Yes, please test rstudio-1.2.1335-1.3.mga7.

Also you can test radicale-1.1.1-7.1.mga7, I fixed it too.
Comment 12 papoteur 2020-01-07 11:53:43 CET
(In reply to David GEIGER from comment #11)
> Yes, please test rstudio-1.2.1335-1.3.mga7.
> 
> Also you can test radicale-1.1.1-7.1.mga7, I fixed it too.

It seems OK with radicale, but not yet with rstudio-server

LC_ALL=C urpmi radicale


    http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/updates_testing/radicale-1.1.1-7.1.mga7.noarch.rpm
installing radicale-1.1.1-7.1.mga7.noarch.rpm from /var/cache/urpmi/rpms                                                   
Preparing...                     #########################################################################################
      1/1: radicale              #########################################################################################
      1/1: removing radicale-1.1.1-7.mga7.noarch
                                 #########################################################################################
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Line references path below legacy directory /var/run/, updating /var/run/rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/rstudio-server.conf:1] Unknown group 'studio-server'.
Comment 13 David GEIGER 2020-01-07 13:28:25 CET
$ rpm -qa |grep rstudio
Comment 14 David GEIGER 2020-01-08 09:44:58 CET
Advisory:
=============================

Current rstudio package fails during install with a script error due to some wrong packaging issue and due to a tmpfiles path change since new systemd:

  1) ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64
  2) Line references path below legacy directory /var/run/, updating /var/run /rstudio-server → /run/rstudio-server; please update the tmpfiles.d/ drop-in file accordingly.

So this update fixes these issues.


This update also fixes radicale with the same tmpfiles path issue:

  1) Line references path below legacy directory /var/run/, updating /var/run/radicale → /run/radicale; please update the tmpfiles.d/ drop-in file accordingly.

=============================


Packages in 7/core/updates_testing:
========================
rstudio-1.2.1335-1.4.mga7.i586.rpm
rstudio-server-1.2.1335-1.4.mga7.i586.rpm
rstudio-common-1.2.1335-1.4.mga7.i586.rpm
rstudio-1.2.1335-1.4.mga7.x86_64.rpm
rstudio-server-1.2.1335-1.4.mga7.x86_64.rpm
rstudio-common-1.2.1335-1.4.mga7.x86_64.rpm

radicale-1.1.1-7.1.mga7.noarch.rpm

Source RPM: 
========================
rstudio-1.2.1335-1.4.mga7.src.rpm
radicale-1.1.1-7.1.mga7.src.rpm
Comment 15 Len Lawrence 2020-01-08 19:19:30 CET
Tried installing the packages on Mageia7, x86_64, and saw the error messages.

Ran MageiaUpdate for updates testing.

Failures reported, ending with this:

starting installing packages
created transaction for installing on / (remove=0, install=0, upgrade=4)
Usage: rstudio-server {status|start|stop|restart|test-config|verify-installation|suspend-session|suspend-all|force-suspend-session|force-suspend-all|kill-session|kill-all|offline|online|active-sessions|version}
error: %preun(rstudio-1.2.1335-1.mga7.x86_64) scriptlet failed, exit status 2
Error: ERROR: 'script' failed for rstudio-1.2.1335-1.mga7.x86_64               
error: rstudio-1.2.1335-1.mga7.x86_64: erase failed
removing installed rpms (rstudio-server-1.2.1335-1.4.mga7.x86_64.rpm radicale-1.1.1-7.1.mga7.noarch.rpm rstudio-1.2.1335-1.4.mga7.x86_64.rpm rstudio-common-1.2.1335-1.4.mga7.x86_64.rpm) from /var/cache/urpmi/rpms

# systemd --version
systemd 241 (241)
+PAM +AUDIT -SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN2 -IDN -PCRE2 default-hierarchy=hybrid

CC: (none) => tarazed25

Comment 16 Len Lawrence 2020-01-08 19:22:55 CET
Forgot this:

# ls /etc/tmpfiles.d
#
Len Lawrence 2020-01-09 17:23:24 CET

Keywords: (none) => feedback

Lewis Smith 2020-01-10 10:03:03 CET

CC: lewyssmith => (none)

Comment 17 David Walser 2020-01-12 18:08:37 CET
As I said in Comment 4, an error in %preun in the existing package cannot be fixed by an update.

Keywords: feedback => (none)


Note You need to log in before you can comment on or make changes to this bug.